variables:
  IMAGE: python:2.7.12

stages:
  - doc

pages:
  stage: doc
  image: $IMAGE
  script:
    - git checkout $CI_COMMIT_REF_NAME || true
    - pip install --upgrade sphinx pygments sphinx_rtd_theme m2r
    - sphinx-build -b html docs public
  artifacts:
    paths:
      - public
  only:
    refs:
      - master

